# List Transaction Entries

Returns a list of TransactionEntries that match the provided filters.

## Parameters

- `created` (timestamp, optional)
  Filter for Transactions created at an exact time.

- `created_gt` (timestamp, optional)
  Filter for Transactions created after the specified timestamp.

- `created_gte` (timestamp, optional)
  Filter for Transactions created at or after the specified timestamp.

- `created_lt` (timestamp, optional)
  Filter for Transactions created before the specified timestamp.

- `created_lte` (timestamp, optional)
  Filter for Transactions created at or before the specified timestamp.

- `limit` (integer, optional)
  The page limit.

- `page` (string, optional)
  The page token.

- `transaction` (string, optional)
  Filter for TransactionEntries belonging to a Transaction.

## Returns

## Response attributes

- `data` (array of objects)
  List of TransactionEntry objects.

  - `data.id` (string)
    Unique identifier for the object.

  - `data.object` (string, value is "v2.money_management.transaction_entry")
    String representing the object’s type. Objects of the same type share the same value of the object field.

  - `data.balance_impact` (object)
    The delta to the FinancialAccount’s balance.

    - `data.balance_impact.available` (object)
      Impact to the available balance.

      - `data.balance_impact.available.currency` (enum)
        Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

      - `data.balance_impact.available.value` (integer)
        A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

    - `data.balance_impact.inbound_pending` (object)
      Impact to the inbound_pending balance.

      - `data.balance_impact.inbound_pending.currency` (enum)
        Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

      - `data.balance_impact.inbound_pending.value` (integer)
        A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

    - `data.balance_impact.outbound_pending` (object)
      Impact to the outbound_pending balance.

      - `data.balance_impact.outbound_pending.currency` (enum)
        Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

      - `data.balance_impact.outbound_pending.value` (integer)
        A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

  - `data.created` (timestamp)
    Time at which the object was created.

  - `data.effective_at` (timestamp)
    Time at which the entry impacted (or will impact if it’s in the future) the FinancialAccount balance.

  - `data.livemode` (boolean)
    Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

  - `data.transaction` (string)
    The Transaction that this TransactionEntry belongs to.

  - `data.transaction_details` (object)
    Details copied from the transaction that this TransactionEntry belongs to.

    - `data.transaction_details.category` (enum)
      Closed Enum for now, and will be turned into an Open Enum soon. A descriptive category used to classify the Transaction.
Possible enum values:
      - `adjustment`
        This Transaction is the main Transaction for an Adjustment.

      - `currency_conversion`
        This Transaction is for a currency conversion. There will be two Transactions per conversion (one per currency).

      - `inbound_transfer`
        This Transaction is the main Transaction for an InboundTransfer.

      - `outbound_payment`
        This Transaction is the main Transaction for an OutboundPayment.

      - `outbound_transfer`
        This Transaction is the main Transaction for an OutboundTransfer.

      - `received_credit`
        This Transaction is the main Transaction for a ReceivedCredit.

      - `received_debit`
        This Transaction is the main Transaction for a ReceivedDebit.

      - `return`
        This Transaction is for the return of funds, such as when an OutboundPayment is returned by the recipient’s bank.

      - `stripe_fee`
        This Transaction is for a fee assessed by Stripe.

    - `data.transaction_details.financial_account` (string)
      Indicates the FinancialAccount affected by this Transaction.

    - `data.transaction_details.flow` (object, nullable)
      Details about the Flow object that created the Transaction.

      - `data.transaction_details.flow.adjustment` (string, nullable)
        If applicable, the ID of the Adjustment that created this Transaction.

      - `data.transaction_details.flow.currency_conversion` (string, nullable)
        In the future, this will be the ID of the currency conversion that created this Transaction. For now, this field is always null.

      - `data.transaction_details.flow.fee_transaction` (string, nullable)
        If applicable, the ID of the FeeTransaction that created this Transaction.

      - `data.transaction_details.flow.inbound_transfer` (string, nullable)
        If applicable, the ID of the InboundTransfer that created this Transaction.

      - `data.transaction_details.flow.outbound_payment` (string, nullable)
        If applicable, the ID of the OutboundPayment that created this Transaction.

      - `data.transaction_details.flow.outbound_transfer` (string, nullable)
        If applicable, the ID of the OutboundTransfer that created this Transaction.

      - `data.transaction_details.flow.received_credit` (string, nullable)
        If applicable, the ID of the ReceivedCredit that created this Transaction.

      - `data.transaction_details.flow.received_debit` (string, nullable)
        If applicable, the ID of the ReceivedDebit that created this Transaction.

      - `data.transaction_details.flow.type` (enum)
        Type of the flow that created the Transaction. The field matching this value will contain the ID of the flow.
Possible enum values:
        - `adjustment`
          This Transaction was created by an Adjustment.

        - `currency_conversion`
          This Transaction was created by a currency conversion.

        - `fee_transaction`
          This Transaction was created by a FeeTransaction.

        - `inbound_transfer`
          This Transaction was created by an InboundTransfer.

        - `outbound_payment`
          This Transaction was created by an OutboundPayment.

        - `outbound_transfer`
          This Transaction was created by an OutboundTransfer.

        - `received_credit`
          This Transaction was created by a ReceivedCredit.

        - `received_debit`
          This Transaction was created by a ReceivedDebit.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code      | Description                |
| ---------------- | --------- | -------------------------- |
| 404              | not_found | The resource wasn’t found. |

```curl
curl https://api.stripe.com/v2/money_management/transaction_entries \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-03-25.preview"
```

### Response

```json
{
  "data": [
    {
      "id": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
      "object": "v2.money_management.transaction_entry",
      "balance_impact": {
        "available": {
          "value": -1000,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": 1000,
          "currency": "usd"
        }
      },
      "created": "2023-04-21T21:03:16.775Z",
      "effective_at": "2023-04-21T21:03:14.418Z",
      "livemode": true,
      "transaction": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
      "transaction_details": {
        "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
        "category": "outbound_transfer",
        "flow": {
          "outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
          "type": "outbound_transfer"
        }
      }
    },
    {
      "id": "trxne_65O8oG8wjR3SwkR7NrZ16NoTesLDSQ1IgNPigisRKq020u",
      "object": "v2.money_management.transaction_entry",
      "balance_impact": {
        "available": {
          "value": 0,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": -1000,
          "currency": "usd"
        }
      },
      "created": "2023-04-21T21:11:28.257Z",
      "effective_at": "2023-04-21T21:11:26.032Z",
      "livemode": true,
      "transaction": "trxn_65O8oG0K8YH83tRWorZ16NoTesLDSQ1IgNPigisRKq0OiG",
      "transaction_details": {
        "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
        "category": "outbound_transfer",
        "flow": {
          "outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
          "type": "outbound_transfer"
        }
      }
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```
